Update Default Ids Profile
Updates a default IDS profile. Writable fields are publish_action (to trigger publication), display_name, description, and severities. The request body must include the current revision value for optimistic concurrency control.
Unique identifier of the default IDS profile
IDS profile update. Only publish_action, display_name, description, and severities are writable; all other fields are ignored. The revision field is required for optimistic concurrency control. The profile_type field must be included as the discriminator to identify the concrete schema but cannot be changed.
{
"revision": 3,
"publish_action": "PUBLISH",
"display_name": "SSP_Env_IDPS_Profile - updated",
"description": "IDPS Profile for all environment traffic - updated",
"severities": [
"CRITICAL",
"HIGH"
]
}
Update accepted and processing asynchronously
{
"id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
"status_url": "/segmentation/default-ids-profiles/b8f47985-22ed-3193-bca8-11c7b025cbce/status"
}
UUID identifier of the response.
The URL to check the status of the operation.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"profile_type":"string"}' https://{api_host}/ssp/segmentation/default-ids-profiles/{profile-id}